
function die(message)
{
	alert(message);
	return false;
}

function validateContactForm(
	form, 
	fillInTranslation, 
	emailTranslation, 
	subjectTranslation, 
	messageTranslation, 
	captchaTranslation,
	invalidEmailWarning
	)
{
	var emailPattern = new RegExp("^(([A-Za-z0-9_])|([\-\.]))+\@(([A-Za-z0-9_])|([\-\.]))+\.([A-Za-z]{2,4})$");

	if(form.email.value == '')
        return die(fillInTranslation + ' ' + emailTranslation);
	
	if(form.subject.value == '')
		return die(fillInTranslation + ' ' + subjectTranslation);

	if(form.message.value == '')
		return die(fillInTranslation + ' ' + messageTranslation);

	if(form.privateCode && form.privateCode.value == '')
		return die(fillInTranslation + ' ' + captchaTranslation);

	if(emailPattern.test(form.email.value) == false)
		return die(invalidEmailWarning);

	return true;
}