<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class VisitModel extends Model
{
    function exists($ip, $type, $id, $hours)
    {
        $hours = intval($hours);
        
        $c = new Criteria();
        $c->add("ip", $ip);
        $c->add("type", $type);
        
        if($id)
        {
            $c->add("id", $id);
        }
        
        $c->add("DATE_ADD(ts, INTERVAL $hours HOUR) > NOW()");
        
        return $this->getCount($c) ? true : false;
    }
}

class VisitRecord extends ModelRecord
{
    
}

?>