{capture assign="headData"}
    <script type="text/javascript" src="{'/javascript/config'|url}"></script> 
    <script type="text/javascript" src="{'/javascript/core/engine.js'|resurl}"></script> 
    <script type="text/javascript" src="{'/javascript/core/ajax.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/TextLengthCounter.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/KeywordSelector.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/WebsiteEditor.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/WebsiteValidator.js'|resurl}"></script>   
    <script type="text/javascript" src="{'/moderation/javascript/site/EditWebsiteOnLoad.js'|resurl}"></script>
    <script type="text/javascript">
    setting.metaDataUrl = "/moderation/site/getMetaData";
    setting.siteId = {$siteId};             
    setting.websiteDataUrl = "/moderation/site/getWebsiteData";
    setting.webmasterDataUrl = "/moderation/site/getWebmasterData";  
    </script>
{/capture}

{include file='includes/header.tpl' page="site" title="{'Edit site'|lang}"} 

<div id="left">
{include file='menu/menuleft/menuleftIndex.tpl'} 
</div>

<div id="right">
</div>

<div id="middle"> 
<div class="column">

<div class="title_h_1">
<h1>{'Edit site'|lang}</h1>
</div>
<div class="column_in_table2">
<form action="{"/moderation/site/saveSiteData/$siteId"|url}" method="post" id="websiteEditForm" style="display:none"> 
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Category'|lang}: </td>
    <td><select name="categoryId">
                    <option value=''></option>
                    {html_options options=$selectCategories}
        </select></td>
</tr>
{if $setting.countryFlagsEnabled} 
<tr>
    <td>{'Language site'|lang}:</td>
    <td><select name="countryCode" class="" id="countryCode">
        
        <option value=''>Select language site</option>
        {html_options options=$countryFlags} 
        </select>
        <img src="" alt="" id="countryFlagImage" style="display:none;" />
    </td>
</tr>
{/if}
</tbody>
</table>


<div class="column_in_table3">
<table class="table2" cellspacing="1">
<tbody>
<tr>
	<td>{'Webmaster'|lang}: </td>
    <td><select name="webmasterId">
        {html_options options=$webmasters}
        </select></td>
</tr>
<tr>
    <td>{'Name'|lang}: </td>
    <td><input type="text" class="input_text_large" name="webmasterName" value="" /></td>
</tr>
<tr>
    <td>{'E-mail'|lang}: </td>
    <td><input type="text" class="input_text_large" name="webmasterEmail" value="" /></td>
</tr>
<tr>
    <td>{'Title of site'|lang}: </td>
    <td><input type="text" class="input_text_large" name="siteTitle" value="" /></td>
</tr>
<tr>
    <td>{'Adress of site (Url)'|lang}: </td>
    <td><input type="text" class="input_text_metas" name="url" value="http://" /> <input type="button" class="button" value="{'Metas'|lang}" id="metaTagButton"/> <span id="metaDataLoader" style="display:none" > <img src="{'/templates/arfooo/images/loader.gif'|url}" style="vertical-align:middle;"> </span></td>
</tr>
<tr>
    <td>{'Title of RSS flux'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssTitle" value="" /></td>
</tr>
<tr>
    <td>{'Adress of RSS flux (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssFeedOfSite" value="" /></td>
</tr>
<tr>
    <td>{'Adress of return link (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="returnBond" value="" /></td>
</tr>
<tr>
    <td>{'Description of site'|lang}:</td>
    <td><textarea class="textarea_large" name="description" cols="50" rows="5"></textarea><br />
        <span class="text_red" id="siteDescrCharsLeftField"></span>&nbsp;{'characters remaining'|lang}.</td>
</tr>

{ math equation="x + 1" x=$setting.maxKeywordsCountPerSite assign="stopLimit"}
        
{for start=1 stop=$stopLimit step=1 value=i}
<tr id="keyword_{$i}" style="visibility: hidden;">
    <td>{'Keyword'|lang} {$i}:</td>
    <td><select name="keywords[{$i}]">
            <option value=""> {'Choose your key word'|lang} </option>
                                          
                {foreach from=$allKeywordsList value=keyword key=keywordId}
                <option value="{$keywordId}" >{$keyword} </option>
                {/foreach}
        </select></td>
</tr>
{/for}

<tr>
    <td>{'Number of hits'|lang}:</td>
    <td><input type="text" class="input_text_small" name="visitsCount" value="" readonly="readonly"/></td>
</tr>
<tr>
    <td>{'Number of notes'|lang}:</td>
    <td><input type="text" class="input_text_small" name="votesCount" value="" readonly="readonly"/></td>
</tr>
<tr>
    <td>{'Average notes'|lang}:</td>
    <td><input type="text" class="input_text_small" name="votesAverage" value="" readonly="readonly"/></td>
</tr>
<tr>
    <td>{'Times being referrers'|lang}:</td>
    <td><input type="text" class="input_text_small" name="referrersCount" value="" readonly="readonly"/></td>
</tr>
<tr>
    <td>{'The site has a problem'|lang}:</td>
    <td><select name="problemExists">
        {html_options options=$yesNoOptions}
        </select></td>
</tr>
<tr>
    <td>{'Status'|lang}:</td>
    <td><select name="status">
        <option value="validated"> {'Validated'|lang} </option>
        <option value="waiting" selected="selected"> {'Waiting'|lang} </option>
        <option value="banned"> {'Banned'|lang} </option>
        </select></td>
</tr>
<tr>
    <td>{'Priority'|lang}:</td>
    <td><select name="priority" class="select-categoriesandgames">
       {html_options options=$priorites} 
        </select></td>
</tr>
<tr>
    <td></td>
    <td>
    <div id="siteLoader" style="display:none;"> {'Checking site...'|lang} <img src="{'/templates/arfooo/images/loader.gif'|url}"></div>  
    <input type="submit" class="button" value="{'Edit the site'|lang}" /> <input type="button" class="button" value="{'Delete the site'|lang}" /></td>
</tr>
</tbody>
</table>
</form>  
</div>
  
<div class="column_in_edit_image">

<form action="{"/moderation/site/uploadSiteImage/$site.siteId"|url}" method="post" enctype="multipart/form-data" target="imageIframe" id="siteImageForm">
<img src="{$site.imageSrc}" alt="" width="120" height="90" id="siteThumb"/>
<input type="file" class="input_text_small" style="width:155px;" name="siteImage" />
<iframe name="imageIframe" style="display:none" id="imageIframe" > </iframe>
</form>

</div>

</div>

{include file='includes/footer.tpl'} 